org.eclipse.viatra.integration.mwe2.mwe2impl.messages

## Class StringMessageProcessor

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.messages.StringMessageProcessor

- All Implemented Interfaces:
    IMessageProcessor<java.lang.String,StringMessage>

      public class StringMessageProcessor
      extends java.lang.Object
      implements IMessageProcessor<java.lang.String,StringMessage>

  Message Processor that is responsible for processing StringMessage objects. It serves as an example for user defined message processors.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ITransformationStep` | `parent` Similar to every typical IMessageProcessor, this class also has a reference to its parent transformation step This way it can hand its result to the transformation step.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringMessageProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITransformationStep` | `getParent()` Returns the parent ITransformationStep object of this particular message processor.
    `void` | `processMessage(IMessage<?> message)` The IMessageProcessor processes the given IMEssage.
    `void` | `setParent(ITransformationStep parent)` Sets the parent reference of the message processor to the given ITransformationStep

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected ITransformationStep parent

      Similar to every typical IMessageProcessor, this class also has a reference to its parent transformation step This way it can hand its result to the transformation step.

  - ### Constructor Detail

    - #### StringMessageProcessor

          public StringMessageProcessor()

  - ### Method Detail

    - #### getParent

          public ITransformationStep getParent()

      Description copied from interface: `IMessageProcessor`
      Returns the parent ITransformationStep object of this particular message processor.
      Specified by:
        `getParent` in interface `IMessageProcessor<java.lang.String,StringMessage>`

    - #### setParent

          public void setParent(ITransformationStep parent)

      Description copied from interface: `IMessageProcessor`
      Sets the parent reference of the message processor to the given ITransformationStep
      Specified by:
        `setParent` in interface `IMessageProcessor<java.lang.String,StringMessage>`

    - #### processMessage

          public void processMessage(IMessage<?> message)
                              throws InvalidParameterTypeException

      Description copied from interface: `IMessageProcessor`
      The IMessageProcessor processes the given IMEssage. The additional functionality of the processor is added here.
      Specified by:
        `processMessage` in interface `IMessageProcessor<java.lang.String,StringMessage>`
      Throws:
        `InvalidParameterTypeException`